Wrapper.DistributionType (Gradle API 8.11)

Package org.gradle.api.tasks.wrapper

## Enum Wrapper.DistributionType

- java.lang.Object
- - java.lang.Enum<Wrapper.DistributionType>
  - - org.gradle.api.tasks.wrapper.Wrapper.DistributionType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Wrapper.DistributionType>`
  Enclosing class:
    Wrapper

      public static enum Wrapper.DistributionType
      extends java.lang.Enum<Wrapper.DistributionType>

  Specifies the Gradle distribution type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` | complete Gradle distribution with binaries, sources and documentation
    `BIN` | binary-only Gradle distribution without sources and documentation

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Wrapper.DistributionType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Wrapper.DistributionType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BIN

          public static final Wrapper.DistributionType BIN

      binary-only Gradle distribution without sources and documentation

    - #### ALL

          public static final Wrapper.DistributionType ALL

      complete Gradle distribution with binaries, sources and documentation

  - ### Method Detail

    - #### values

          public static Wrapper.DistributionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Wrapper.DistributionType c : Wrapper.DistributionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Wrapper.DistributionType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null